#ifndef MENUS_H
#define MENUS_H

#include "prep_defs.h"	// Necessary preproccessor directives.

/*********************************************************/

/* typedef long int KEY_TYPE; */

/*********************************************************/

int file_creation_menu ();

/*********************************************************/

void show_logo ();
KEY_TYPE main_menu ();
KEY_TYPE insert_menu ();
KEY_TYPE delete_menu ();
KEY_TYPE search_menu ();
KEY_TYPE show_all_menu ();
KEY_TYPE tree_representation_menu ();
KEY_TYPE statistics_menu ();
KEY_TYPE lesson_grades_menu ();
KEY_TYPE create_lesson_grades_menu ();
KEY_TYPE fluctuation_menu ();
KEY_TYPE update_menu ();
KEY_TYPE create_files_menu ();
KEY_TYPE create_fluctuation_menu ();
KEY_TYPE update_datafile_menu ();
KEY_TYPE help_menu ();

/*********************************************************/

int numeric_int (char [REPLY_BUFFER]);
int in_range (const KEY_TYPE, const KEY_TYPE, const KEY_TYPE);

/*********************************************************/

int verify_exit ();

/*********************************************************/

void general_screen (FILE *);
void about_screen ();
void modifications_screen (FILE *);

/*********************************************************/

#endif