#ifndef QUICKSORT_H
#define QUICKSORT_H

#include "prep_defs.h"	// Necessary preproccessor directives.

/*********************************************************/

/* typedef long int KEY_TYPE; */

/*********************************************************/

void QuickSort (double grades [], int p, int r);
int Partition (double grades [], int p, int r);

/*********************************************************/

void QuickSort_single_int (int years [], int p, int r);
int Partition_single_int (int years [], int p, int r);

/*********************************************************/

void QuickSort_int (int array1 [ARRAY_SIZE], int p, int r, long int array2 [ARRAY_SIZE]);
int Partition_int (int array1 [ARRAY_SIZE], int p, int r, long int array2 [ARRAY_SIZE]);

/*********************************************************/

void QuickSort_double (double array1 [ARRAY_SIZE], int p, int r, KEY_TYPE array2 [ARRAY_SIZE]);
int Partition_double (double array1 [ARRAY_SIZE], int p, int r, KEY_TYPE array2 [ARRAY_SIZE]);

#endif